%% Conductivity Calibration
Conc_MgSO4=[5	4	3	2	1	0.5	0];
Cond_MgSO4=[876	729	572	404	220	115	1];
Cond_MgSO4_mod=(1:0.01:876);
Conc_MgSO4_mod=1.6324E-6*(Cond_MgSO4_mod-1).^2+4.2972E-3*(Cond_MgSO4_mod-1);

f=figure;
hold on;
box on;
plot(Cond_MgSO4,Conc_MgSO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
plot(Cond_MgSO4_mod,Conc_MgSO4_mod,'--','Color',[0,0,0]./255,'LineWidth',1);
set(gca,'FontSize',15)
ylim([0,6]);
ylabel('Concentration C (mmol\cdotL^{-1})');
yticks([1 2 3 4 5]);
xlim([0,877]);
xlabel('Conductivity κ (μS\cdotcm^{-1})');
xticks([200 400 600 800]);
pbaspect([1 1 1])
h = annotation('textbox', [0.25, 0.80, 0.1, 0.1], 'String', "MgSO_4");
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'bold';
h = annotation('textbox', [0.25, 0.72, 0.1, 0.1], 'String', 'C=1.6±0.1x10^{-6}κ^2+4.3±0.1x10^{-3}κ');
h.LineStyle = 'none';
h.FontSize = 12;
h.FontWeight = 'normal';
hold off;

Conc_NaCl=[5	4	3	2	1	0.5	0];
Cond_NaCl=[635	516	385	259	130.5	63.9	0.9];
Cond_NaCl_mod=(0.9:0.01:636);
Conc_NaCl_mod=7.825E-3*(Cond_NaCl_mod-0.9);

f=figure;
hold on;
box on;
plot(Cond_NaCl,Conc_NaCl,'.','MarkerSize',15,'Color',[0,0,0]./255);
plot(Cond_NaCl_mod,Conc_NaCl_mod,'--','Color',[0,0,0]./255,'LineWidth',1);
set(gca,'FontSize',15)
ylim([0,6]);
ylabel('Concentration C (mmol\cdotL^{-1})');
yticks([1 2 3 4 5]);
xlim([0,637]);
xlabel('Conductivity κ (μS\cdotcm^{-1})');
xticks([200 400 600]);
pbaspect([1 1 1])
h = annotation('textbox', [0.25, 0.80, 0.1, 0.1], 'String', "NaCl");
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'bold';
h = annotation('textbox', [0.25, 0.72, 0.1, 0.1], 'String', 'C=7.83±0.06x10^{-3}κ');
h.LineStyle = 'none';
h.FontSize = 12;
h.FontWeight = 'normal';
hold off;

Conc_MgCl2=[5	4	3	2	1	0.5	0];
Cond_MgCl2=[1164	895	706	485	237	125.5	1];
Cond_MgCl2_mod=(1:0.01:1164);
Conc_MgCl2_mod=4.323E-3*(Cond_MgCl2_mod-1);

f=figure;
hold on;
box on;
plot(Cond_MgCl2,Conc_MgCl2,'.','MarkerSize',15,'Color',[0,0,0]./255);
plot(Cond_MgCl2_mod,Conc_MgCl2_mod,'--','Color',[0,0,0]./255,'LineWidth',1);
set(gca,'FontSize',15)
ylim([0,6]);
ylabel('Concentration C (mmol\cdotL^{-1})');
yticks([1 2 3 4 5]);
xlim([0,1165]);
xlabel('Conductivity κ (μS\cdotcm^{-1})');
xticks([200 400 600 800 1000]);
pbaspect([1 1 1])
h = annotation('textbox', [0.25, 0.80, 0.1, 0.1], 'String', "MgCl_2");
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'bold';
h = annotation('textbox', [0.25, 0.72, 0.1, 0.1], 'String', 'C=4.3±0.1x10^{-3}κ');
h.LineStyle = 'none';
h.FontSize = 12;
h.FontWeight = 'normal';
hold off;

Conc_Na2SO4=[5	4	3	2	1	0.5	0];
Cond_Na2SO4=[1272	1016	776	527	275	140.4	1];
Cond_Na2SO4_mod=(1:0.01:1272);
Conc_Na2SO4_mod=3.908E-3*(Cond_Na2SO4_mod-1);

f=figure;
hold on;
box on;
plot(Cond_Na2SO4,Conc_Na2SO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
plot(Cond_Na2SO4_mod,Conc_Na2SO4_mod,'--','Color',[0,0,0]./255,'LineWidth',1);
set(gca,'FontSize',15)
ylim([0,6]);
ylabel('Concentration C (mmol\cdotL^{-1})');
yticks([1 2 3 4 5]);
xlim([0,1273]);
xlabel('Conductivity κ (μS\cdotcm^{-1})');
xticks([200 400 600 800 1000 1200]);
pbaspect([1 1 1])
h = annotation('textbox', [0.25, 0.80, 0.1, 0.1], 'String', "Na_2SO_4");
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'bold';
h = annotation('textbox', [0.25, 0.72, 0.1, 0.1], 'String', 'C=3.91±0.06x10^{-3}κ');
h.LineStyle = 'none';
h.FontSize = 12;
h.FontWeight = 'normal';
hold off;

%% Ellipsometry
%dry
T_PAHPSS=[14.23	12.69	12.93];
A_PAHPSS=[1.627	1.607	1.59];
B_PAHPSS=[0.00407	0.00566	0.00687];
T_PAHPSSPAHPAA1=[15.2	14.25	14.01];
A_PAHPSSPAHPAA1=[1.621	1.626	1.632];
B_PAHPSSPAHPAA1=[0.00353	0.00405	0.00353];
T_PAHPSSPAHPAA2=[16.41	16.5 15.26];
A_PAHPSSPAHPAA2=[1.621	1.65	1.731];
B_PAHPSSPAHPAA2=[0.00297	0.00014824	0];
T_PAHPSSPAHPAA3=[19.37	18.5	17.84];
A_PAHPSSPAHPAA3=[1.568	1.571	1.591];
B_PAHPSSPAHPAA3=[0.00682	0.00716	0.00601];
T_PAHPSSPAHPAA4=[22.13	21.94	20.99];
A_PAHPSSPAHPAA4=[1.588	1.592	1.599];
B_PAHPSSPAHPAA4=[0.00596	0.00583	0.00613];
T_PAHPAA=[110.98	113.71	120.48];
A_PAHPAA=[1.54	1.546	1.548];
B_PAHPAA=[0.00675 0.00708 0.00704];

AVG_PAHPSS=mean(T_PAHPSS);
AVG_PAHPSSPAHPAA1=mean(T_PAHPSSPAHPAA1);
AVG_PAHPSSPAHPAA2=mean(T_PAHPSSPAHPAA2);
AVG_PAHPSSPAHPAA3=mean(T_PAHPSSPAHPAA3);
AVG_PAHPSSPAHPAA4=mean(T_PAHPSSPAHPAA4);
AVG_PAHPAA=mean(T_PAHPAA);

CONF_PAHPSS=std(T_PAHPSS)/sqrt(length(T_PAHPSS))*tinv(0.975,length(T_PAHPSS)-1);
CONF_PAHPSSPAHPAA1=std(T_PAHPSSPAHPAA1)/sqrt(length(T_PAHPSSPAHPAA1))*tinv(0.975,length(T_PAHPSSPAHPAA1)-1);
CONF_PAHPSSPAHPAA2=std(T_PAHPSSPAHPAA2)/sqrt(length(T_PAHPSSPAHPAA2))*tinv(0.975,length(T_PAHPSSPAHPAA2)-1);
CONF_PAHPSSPAHPAA3=std(T_PAHPSSPAHPAA3)/sqrt(length(T_PAHPSSPAHPAA3))*tinv(0.975,length(T_PAHPSSPAHPAA3)-1);
CONF_PAHPSSPAHPAA4=std(T_PAHPSSPAHPAA4)/sqrt(length(T_PAHPSSPAHPAA4))*tinv(0.975,length(T_PAHPSSPAHPAA4)-1);
CONF_PAHPAA=std(T_PAHPAA)/sqrt(length(T_PAHPAA))*tinv(0.975,length(T_PAHPAA)-1);

Increment = AVG_PAHPAA/10;
THEO_PAHPSSPAHPAA1=AVG_PAHPSS+1*Increment;
THEO_PAHPSSPAHPAA2=AVG_PAHPSS+2*Increment;
THEO_PAHPSSPAHPAA3=AVG_PAHPSS+3*Increment;
THEO_PAHPSSPAHPAA4=AVG_PAHPSS+4*Increment;

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [AVG_PAHPSS AVG_PAHPSS;AVG_PAHPSSPAHPAA1 THEO_PAHPSSPAHPAA1; AVG_PAHPSSPAHPAA2 THEO_PAHPSSPAHPAA2;...
    AVG_PAHPSSPAHPAA3 THEO_PAHPSSPAHPAA3; AVG_PAHPSSPAHPAA4 THEO_PAHPSSPAHPAA4];
Y_CONF = [CONF_PAHPSS; CONF_PAHPSSPAHPAA1; CONF_PAHPSSPAHPAA2; CONF_PAHPSSPAHPAA3; CONF_PAHPSSPAHPAA4];
b = bar(Y);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,60]);
title('Dry');
ylabel('Thickness (nm)');
yticks([10 20 30 40 50 60]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,5.5]);
xticks([1 2 3 4 5]);
xticklabels({'PAHPSS 10','+PAHPAA 1','+PAHPAA 2','+PAHPAA 3','+PAHPAA 4'})
legend({'Experiments','Linear Growth Assumption'},'Location','NorthWest')
legend boxoff 
hold off;

%wet
T_PAHPSS=[18.98	19.38	18.18];
EMA_PAHPSS=[29.7	30.6	23.2];
T_PAHPSSPAHPAA1=[18.28	18.7	18.81];
EMA_PAHPSSPAHPAA1=[19.8	23.7	26.1];
T_PAHPSSPAHPAA2=[22.91	24.06	19.33];
EMA_PAHPSSPAHPAA2=[24.2	30	22.4];
T_PAHPSSPAHPAA3=[25.89	25.66	24.43];
EMA_PAHPSSPAHPAA3=[19.5	22.2	23.2];
T_PAHPSSPAHPAA4=[29.91	30.09	29.16];
EMA_PAHPSSPAHPAA4=[23.3	24.8	25.8];
T_PAHPAA=[159.01	166.04	183.76];
EMA_PAHPAA=[25.4	27.4	27.8];

AVG_PAHPSS=mean(T_PAHPSS);
AVG_PAHPSSPAHPAA1=mean(T_PAHPSSPAHPAA1);
AVG_PAHPSSPAHPAA2=mean(T_PAHPSSPAHPAA2);
AVG_PAHPSSPAHPAA3=mean(T_PAHPSSPAHPAA3);
AVG_PAHPSSPAHPAA4=mean(T_PAHPSSPAHPAA4);
AVG_PAHPAA=mean(T_PAHPAA);

CONF_PAHPSS=std(T_PAHPSS)/sqrt(length(T_PAHPSS))*tinv(0.975,length(T_PAHPSS)-1);
CONF_PAHPSSPAHPAA1=std(T_PAHPSSPAHPAA1)/sqrt(length(T_PAHPSSPAHPAA1))*tinv(0.975,length(T_PAHPSSPAHPAA1)-1);
CONF_PAHPSSPAHPAA2=std(T_PAHPSSPAHPAA2)/sqrt(length(T_PAHPSSPAHPAA2))*tinv(0.975,length(T_PAHPSSPAHPAA2)-1);
CONF_PAHPSSPAHPAA3=std(T_PAHPSSPAHPAA3)/sqrt(length(T_PAHPSSPAHPAA3))*tinv(0.975,length(T_PAHPSSPAHPAA3)-1);
CONF_PAHPSSPAHPAA4=std(T_PAHPSSPAHPAA4)/sqrt(length(T_PAHPSSPAHPAA4))*tinv(0.975,length(T_PAHPSSPAHPAA4)-1);
CONF_PAHPAA=std(T_PAHPAA)/sqrt(length(T_PAHPAA))*tinv(0.975,length(T_PAHPAA)-1);

Increment = AVG_PAHPAA/10;
THEO_PAHPSSPAHPAA1=AVG_PAHPSS+1*Increment;
THEO_PAHPSSPAHPAA2=AVG_PAHPSS+2*Increment;
THEO_PAHPSSPAHPAA3=AVG_PAHPSS+3*Increment;
THEO_PAHPSSPAHPAA4=AVG_PAHPSS+4*Increment;

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [AVG_PAHPSS AVG_PAHPSS;AVG_PAHPSSPAHPAA1 THEO_PAHPSSPAHPAA1; AVG_PAHPSSPAHPAA2 THEO_PAHPSSPAHPAA2;...
    AVG_PAHPSSPAHPAA3 THEO_PAHPSSPAHPAA3; AVG_PAHPSSPAHPAA4 THEO_PAHPSSPAHPAA4];
Y_CONF = [CONF_PAHPSS; CONF_PAHPSSPAHPAA1; CONF_PAHPSSPAHPAA2; CONF_PAHPSSPAHPAA3; CONF_PAHPSSPAHPAA4];
b = bar(Y);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,100]);
title('Wet');
ylabel('Thickness (nm)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,5.5]);
xticks([1 2 3 4 5]);
xticklabels({'PAHPSS 10','+PAHPAA 1','+PAHPAA 2','+PAHPAA 3','+PAHPAA 4'})
legend({'Experiments','Linear Growth Assumption'},'Location','NorthWest')
legend boxoff 
hold off;

%swelling
S_PAHPSS=[33.38018271 52.71867612 40.60324826];
S_PAHPSSPAHPAA1=[20.26315789 31.22807018 34.26124197];
S_PAHPSSPAHPAA2=[39.60999391 45.81818182 39.566787];
S_PAHPSSPAHPAA3=[33.66029943 38.7027027 36.93946188];
S_PAHPSSPAHPAA4=[35.15589697 37.1467639 38.92329681];
S_PAHPAA=[43.27806812 46.02057867 52.52324037];

AVG_PAHPSS=mean(S_PAHPSS);
AVG_PAHPSSPAHPAA1=mean(S_PAHPSSPAHPAA1);
AVG_PAHPSSPAHPAA2=mean(S_PAHPSSPAHPAA2);
AVG_PAHPSSPAHPAA3=mean(S_PAHPSSPAHPAA3);
AVG_PAHPSSPAHPAA4=mean(S_PAHPSSPAHPAA4);
AVG_PAHPAA=mean(S_PAHPAA);

CONF_PAHPSS=std(S_PAHPSS)/sqrt(length(S_PAHPSS))*tinv(0.975,length(S_PAHPSS)-1);
CONF_PAHPSSPAHPAA1=std(S_PAHPSSPAHPAA1)/sqrt(length(S_PAHPSSPAHPAA1))*tinv(0.975,length(S_PAHPSSPAHPAA1)-1);
CONF_PAHPSSPAHPAA2=std(S_PAHPSSPAHPAA2)/sqrt(length(S_PAHPSSPAHPAA2))*tinv(0.975,length(S_PAHPSSPAHPAA2)-1);
CONF_PAHPSSPAHPAA3=std(S_PAHPSSPAHPAA3)/sqrt(length(S_PAHPSSPAHPAA3))*tinv(0.975,length(S_PAHPSSPAHPAA3)-1);
CONF_PAHPSSPAHPAA4=std(S_PAHPSSPAHPAA4)/sqrt(length(S_PAHPSSPAHPAA4))*tinv(0.975,length(S_PAHPSSPAHPAA4)-1);
CONF_PAHPAA=std(S_PAHPAA)/sqrt(length(S_PAHPAA))*tinv(0.975,length(S_PAHPAA)-1);

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [AVG_PAHPSS;AVG_PAHPSSPAHPAA1;AVG_PAHPSSPAHPAA2;...
    AVG_PAHPSSPAHPAA3;AVG_PAHPSSPAHPAA4;AVG_PAHPAA];
Y_CONF = [CONF_PAHPSS;CONF_PAHPSSPAHPAA1;CONF_PAHPSSPAHPAA2;CONF_PAHPSSPAHPAA3;CONF_PAHPSSPAHPAA4;CONF_PAHPAA];
b = bar(Y);
b.FaceColor = [96,58,232]./255;
set(gca,'FontSize',15)
ylim([0,80]);
ylabel('Swelling (%)');
yticks([0 20 40 60 80]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,6.5]);
xticks([1 2 3 4 5 6]);
xticklabels({'PAHPSS 10','+PAHPAA 1','+PAHPAA 2','+PAHPAA 3','+PAHPAA 4','PAHPAA 10'})
hold off;

%% Pure Water Permeability
BL_PAHPSS=[3 5 6 7 8 9 10 11];
PWP_PAHPSS=[35.50397715 20.41776025 19.87780554 20.55946107 16.86218729 17.07511794 15.22989338 11.63425971];
CONF_PAHPSS=[1.035900559 1.276647109 0.993918337 1.502750131 1.289082676 0.77368449 1.226038126 1.417069367];

PC_BL_PAHPSS=[1 2 3 4];
PC_PWP_PAHPSS=[16.86218729 17.07511794 15.22989338 11.63425971];
PC_CONF_PAHPSS=[1.289082676 0.77368449 1.226038126 1.417069367];

BL_PAHPAA=[4 6 7 8 9 10 11 12];
PWP_PAHPAA=[26.29206442 3.819416663 1.585941069 1.349200942 0.99692302 1.005232941 0.815473678 0.657841893];
CONF_PAHPAA=[1.426769952 0.352366258 0.019638592 0.119645368 0.011739268 0.072853535 0.052121459 0.03662339];

PC_BL_PAHPAA=[1 2 3 4];
PC_PWP_PAHPAA=[1.585941069 1.349200942 0.99692302 1.005232941];
PC_CONF_PAHPAA=[0.019638592 0.119645368 0.011739268 0.072853535];

BL_PAHPSSPAHPAA=[1 2 3 4 5 6 7 8];
PWP_PAHPSSPAHPAA=[8.957120324 7.340182953 5.060603244 3.386747868 2.538288687 2.033580763 1.62488095 1.681658857];
CONF_PAHPSSPAHPAA=[0.533364471 0.194060552 0.174701479 0.188215649 0.12795806 0.14910506 0.066097716 0.240453475];

PC_BL_PAHPSSPAHPAA=[1 2 3 4];
PC_PWP_PAHPSSPAHPAA=[8.957120324 7.340182953 5.060603244 3.386747868];
PC_CONF_PAHPSSPAHPAA=[0.533364471 0.194060552 0.174701479 0.188215649];

f=figure;
hold on;
box on;
errorbar(PC_BL_PAHPSS,PC_PWP_PAHPSS,PC_CONF_PAHPSS,PC_CONF_PAHPSS,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(PC_BL_PAHPAA,PC_PWP_PAHPAA,PC_CONF_PAHPAA,PC_CONF_PAHPAA,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(PC_BL_PAHPSSPAHPAA,PC_PWP_PAHPSSPAHPAA,PC_CONF_PAHPSSPAHPAA,PC_CONF_PAHPSSPAHPAA,'k.','MarkerSize',15); 
set(gca,'FontSize',15)
ylim([0,20]);
ylabel('Permeability (L\cdotm^{-2}\cdoth^{-1}\cdotbar^{-1})');
yticks([5 10 15 20]);
xlim([0,5]);
xlabel('Bilayers after pore closing (-)');
xticks([1 2 3 4]);
pbaspect([1 1 1])
hold off;

%% Hydraulic Resistance
BL_PAHPSS=[3 5 6 7 8 9 10 11];
HR_PAHPSS=[1.012E+13	1.76E+13	1.808E+13	1.748E+13	2.132E+13	2.105E+13	2.36E+13	3.089E+13];
CONF_PAHPSS=[2.92E+11	1.1E+12	9E+11	1.28E+12	1.63E+12	9.5E+11	1.9E+12	3.76E+12];

BL_PAHPAA=[4 6 7 8 9 10 11 12];
HR_PAHPAA=[1.367E+13	9.41E+13 2.266E+14	2.664E+14	3.605E+14 3.576E+14	 4.408E+14	5.464E+14];
CONF_PAHPAA=[7.4E+11	8.68E+12	2.36E+13	2.6E+13	2.8E+12	4.2E+12	2.82E+13	3.04E+13];

PC_BL_PAHPSS=[1 2 3 4];
PC_HR_PAHPSS=[2.1320E+13 2.1050E+13 2.3600E+13 3.0890E+13];
PC_CONF_PAHPSS=[1.6300E+12 9.5000E+11 1.9000E+12 3.7600E+12];

PC_BL_PAHPAA=[1 2 3 4 5 6];
PC_HR_PAHPAA=[2.2660E+14 2.6640E+14 3.6050E+14 3.5760E+14 4.4080E+14 5.4640E+14];
PC_CONF_PAHPAA=[2.8000E+12 2.3600E+13 4.2000E+12 2.6000E+13 2.8200E+13 3.0400E+13];

PC_BL_PAHPSSPAHPAA=[1 2 3 4 5 6 7];
PC_HR_PAHPSSPAHPAA=[4.013E+13 4.8970E+13 7.1020E+13 1.0610E+14 1.4160E+14 1.7670E+14 2.2120E+14];
PC_CONF_PAHPSSPAHPAA=[2.39E+12 1.30E+12 2.45E+12 5.90E+12 7.10E+12 1.29E+13 9.00E+12];

figure;
hold on;
box on;
pbaspect([1 1 1])
yyaxis left
errorbar(BL_PAHPAA,HR_PAHPAA,CONF_PAHPAA,CONF_PAHPAA,'.','MarkerSize',16,'Color',[230,68,62]./255); 
plot([7 7],[0 10E14],'--','Color',[230,68,62]./255,'LineWidth',1);
axis([0,13,0,8E14]);
xlabel('Bilayers (-)');
set(gca,'FontSize',15)
ylabel('Hydraulic resistance (m^{-1})');
yticks([2E14 4E14 6E14 8E14]);
yyaxis right
errorbar(BL_PAHPSS,HR_PAHPSS,CONF_PAHPSS,CONF_PAHPSS,'.','MarkerSize',16,'Color',[96,58,232]./255); 
plot([8 8],[0 10E13],'--','Color',[96,58,232]./255,'LineWidth',1);
axis([0,13,0,8E13]);
ylabel('Hydraulic resistance (m^{-1})');
yticks([2E13 4E13 6E13 8E13]);
ax = gca;
ax.YAxis(1).Color = 'k';
ax.YAxis(2).Color = 'k';
xticks([2 4 6 8 10 12]);

f=figure;
hold on;
box on;
errorbar(PC_BL_PAHPSS,PC_HR_PAHPSS,PC_CONF_PAHPSS,PC_CONF_PAHPSS,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(PC_BL_PAHPAA,PC_HR_PAHPAA,PC_CONF_PAHPAA,PC_CONF_PAHPAA,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(PC_BL_PAHPSSPAHPAA,PC_HR_PAHPSSPAHPAA,PC_CONF_PAHPSSPAHPAA,PC_CONF_PAHPSSPAHPAA,'k.','MarkerSize',15); 
set(gca,'FontSize',15)
ylim([0,6E14]);
ylabel('Hydraulic resistance (m^{-1})');
yticks([1 2 3 4 5 6]*10^14);
xlim([0,8]);
xlabel('Bilayers after pore closing (-)');
xticks([1 2 3 4 5 6 7]);
pbaspect([1 1 1])
hold off;
%% MgSO4 Retention
%PAHPSS
BL_PAHPSS=[3 5 6 7 8 9 10 11];
Ret_PAHPSS=[0.144651432	0.52660793	0.697414155	0.803420566	0.905330475	0.897474624	0.889203477	0.91798288]*100;
Conf_PAHPSS=[0.009049872	0.045575375	0.102356266	0.122249061	0.087094994	0.023054607	0.07670819	0.065642217]*100;
%PAHPAA
BL_PAHPAA=[4 6 7 8 9 10 11 12];
Ret_PAHPAA=[0.162893752	0.593535866	0.92245 0.85993 0.91496 0.75418 0.84404 0.85393]*100;
Conf_PAHPAA=[0.005794332 0.139224315	0.004980624 0.024194552 0.023775766 0.05532664 0.070091524 0.193239198]*100;

f=figure;
hold on;
box on;
errorbar(BL_PAHPSS,Ret_PAHPSS,Conf_PAHPSS,Conf_PAHPSS,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(BL_PAHPAA,Ret_PAHPAA,Conf_PAHPAA,Conf_PAHPAA,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot([8 8],[0 100],'--','Color',[96,58,232]./255,'LineWidth',1);
plot([7 7],[0 100],'--','Color',[230,68,62]./255,'LineWidth',1);
set(gca,'FontSize',15)
ylim([0,100]);
ylabel('MgSO_4 retention (%)');
yticks([20 40 60 80 100]);
xlim([0,13]);
xlabel('Bilayers (-)');
xticks([2 4 6 8 10 12]);
pbaspect([1 1 1])
hold off;

%% PEG Retention Symmetric
%PAHPSS
Exp_MW_PAHPSS=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSS=[0.042920684 0.20530636 0.685219664 0.95146094 0.982629933 0.988988847 0.997636952 0.997466125]*100;
Exp_Conf_PAHPSS=[0.006088174 0.016327174 0.024911513 0.020289625 0.014808701 0.012016347 0.003171635 0.003088381]*100;

Exp_MW_PAHPAA=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPAA=[0.3723395 0.90240075 0.965794302 0.990791667 0.989214318 0.990700053 0.979625383 0.994237199]*100;
Exp_Conf_PAHPAA=[0.026798958 0.003790814 0.004174271 0.003332137 0.005699656 0.00833772 0.024925468 0.00746608]*100;

Mod_MW_PAHPSS=[10	20	30	40	50	60	70	80	90	100	110	120	130	140	150	160	170	180	190	200	210	220	230	240	250	260	270	280	290	300	310	320	330	340	350	360	370	380	390	400	410	420	430	440	450	460	470	480	490	500	510	520	530	540	550	560	570	580	590	600	610	620	630	640	650	660	670	680	690	700	710	720	730	740	750	760	770	780	790	800	810	820	830	840	850	860	870	880	890	900	910	920	930	940	950	960	3000];
Mod_Ret_PAHPSS=[0.000470831	0.001755832	0.004120205	0.008132882	0.014864088	0.026093587	0.043500302	0.067325711	0.097076016	0.132060544	0.171366177	0.213964241	0.258820319	0.304961706	0.351518269	0.3977406	0.443005194	0.486811929	0.528776268	0.568618492	0.606151263	0.641266555	0.673922618	0.704131507	0.7319474	0.757456364	0.78076762	0.802005872	0.821305054	0.838803306	0.854639038	0.868947516	0.88185847	0.893496181	0.903977679	0.913412144	0.921899562	0.929532054	0.936394897	0.942565858	0.948114234	0.953103225	0.95759085	0.961629006	0.965263061	0.968535359	0.971483941	0.974141341	0.976537985	0.978701446	0.980654864	0.982420117	0.984017018	0.985461879	0.986770617	0.987957225	0.989033298	0.990010554	0.990898466	0.991705743	0.992440778	0.993109953	0.993720093	0.994276677	0.99478462	0.995248876	0.995672991	0.996061101	0.996416133	0.996741189	0.997038983	0.997311656	0.997561678	0.997790604	0.998000533	0.998192712	0.99836882	0.998529963	0.998677408	0.998812214	0.998935296	0.999047664	0.999149992	0.999243212	0.999327846	0.999404734	0.999474295	0.999537274	0.99959402	0.999645189	0.999691072	0.999732248	0.999768961	0.999801718	0.999830728	0.999856432	1]*100;
Mod_MW_PAHPAA=[10	20	30	40	50	60	70	80	90	100	110	120	130	140	150	160	170	180	190	200	210	220	230	240	250	260	270	280	290	300	310	320	3000];
Mod_Ret_PAHPAA=[0.002321698	0.011537941	0.036953049	0.09893942	0.214276773	0.368432424	0.528920172	0.669099826	0.777619902	0.855056414	0.907391688	0.941545798	0.963351147	0.977090847	0.985687339	0.991051043	0.994398943	0.996493527	0.997808483	0.998637308	0.999161664	0.999494046	0.99970415	0.999835244	0.999914562	0.99996008	0.999984163	0.999995304	0.999999288	1	1	1	1]*100;

f=figure;
hold on;
box on;
errorbar(Exp_MW_PAHPSS,Exp_Ret_PAHPSS,Exp_Conf_PAHPSS,Exp_Conf_PAHPSS,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Exp_MW_PAHPAA,Exp_Ret_PAHPAA,Exp_Conf_PAHPAA,Exp_Conf_PAHPAA,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(Mod_MW_PAHPSS,Mod_Ret_PAHPSS,'--','Color',[96,58,232]./255);
plot(Mod_MW_PAHPAA,Mod_Ret_PAHPAA,'--','Color',[230,68,62]./255);
set(gca,'Xscale','log');
set(gca,'FontSize',15)
ylim([0,100]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
xlim([50 10^3.5]);
xlabel('Molecular weight (g\cdotmol^{-1})');
pbaspect([1 1 1])
hold off;

%PSD number
rDistr_PAHPSS_8=[2.40000000000000e-10	2.50000000000000e-10	2.60000000000000e-10	2.70000000000000e-10	2.80000000000000e-10	2.90000000000000e-10	3.00000000000000e-10	3.10000000000000e-10	3.20000000000000e-10	3.30000000000000e-10	3.40000000000000e-10	3.50000000000000e-10	3.60000000000000e-10	3.70000000000000e-10	3.80000000000000e-10	3.90000000000000e-10	4.00000000000000e-10	4.10000000000000e-10	4.20000000000000e-10	4.30000000000000e-10	4.40000000000000e-10	4.50000000000000e-10	4.60000000000000e-10	4.70000000000000e-10	4.80000000000000e-10	4.90000000000000e-10	5.00000000000000e-10	5.10000000000000e-10	5.20000000000000e-10	5.30000000000000e-10	5.40000000000000e-10	5.50000000000000e-10	5.60000000000000e-10	5.70000000000000e-10	5.80000000000000e-10	5.90000000000000e-10	6.00000000000000e-10	6.10000000000000e-10	6.20000000000000e-10	6.30000000000000e-10	6.40000000000000e-10	6.50000000000000e-10	6.60000000000000e-10	6.70000000000000e-10	6.80000000000000e-10	6.90000000000000e-10	7.00000000000000e-10	7.10000000000000e-10	7.20000000000000e-10	7.30000000000000e-10	7.40000000000000e-10	7.50000000000000e-10	7.60000000000000e-10	7.70000000000000e-10	7.80000000000000e-10	7.90000000000000e-10	8.00000000000000e-10	8.10000000000000e-10	8.20000000000000e-10	8.30000000000000e-10	8.40000000000000e-10	8.50000000000000e-10	8.60000000000000e-10	8.70000000000000e-10	8.80000000000000e-10	8.90000000000000e-10	9.00000000000000e-10	9.10000000000000e-10	9.20000000000000e-10	9.30000000000000e-10	9.40000000000000e-10	9.50000000000000e-10]*10^9;
Fr_PAHPSS_8=[0.0219026744182577	0.0255406830786045	0.0290481569000249	0.0323054157761298	0.0352111016233642	0.0376866294012545	0.0396781532295952	0.0411563900541372	0.0421147784359543	0.0425664901546250	0.0425407836981385	0.0420791176255422	0.0412313505417200	0.0400522597452637	0.0385985235617573	0.0369262391319687	0.0350889904157002	0.0331364402443162	0.0311133936891607	0.0290592653148563	0.0270078773456560	0.0249875168203224	0.0230211852155125	0.0211269819693590	0.0193185724535815	0.0176057002316703	0.0159947122398969	0.0144890734375719	0.0130898542922420	0.0117961801355857	0.0106056359831445	0.00951462395073097	0.00851867304853536	0.00761270302830464	0.00679124523562936	0.00604862420476804	0.00537910413977671	0.00477700454910259	0.00423678922111466	0.00375313250985232	0.00332096659442034	0.00293551302090733	0.00259230146143737	0.00228717825179215	0.00201630691125345	0.00177616251510778	0.00156352148694912	0.00137544810696307	0.00120927879416601	0.00106260501407984	0.000933255486594997	0.000819278219314413	0.000718922766708636	0.000630623012107360	0.000552980685125652	0.000484749758951192	0.000424821817584422	0.000372212440445713	0.000326048618805615	0.000285557193560727	0.000250054285502251	0.000218935676152359	0.000191668088412824	0.000167781310789287	0.000146861106082027	0.000128542844559172	0.000112505802252225	9.84680667327250e-05	8.61819952195695e-05	7.54301728725127e-05	6.60218224479527e-05	5.77896199733274e-05]*100;
rDistr_PAHPAA_7=[2.10000000000000e-10	2.20000000000000e-10	2.30000000000000e-10	2.40000000000000e-10	2.50000000000000e-10	2.60000000000000e-10	2.70000000000000e-10	2.80000000000000e-10	2.90000000000000e-10	3.00000000000000e-10	3.10000000000000e-10	3.20000000000000e-10	3.30000000000000e-10	3.40000000000000e-10	3.50000000000000e-10	3.60000000000000e-10	3.70000000000000e-10	3.80000000000000e-10	3.90000000000000e-10	4.00000000000000e-10	4.10000000000000e-10]*10^9;
Fr_PAHPAA_7=[0.0285428492982942	0.0465591411273595	0.0670760651432700	0.0865992085746951	0.101455990324039	0.109030647133372	0.108491031279715	0.100775912356588	0.0880110370896729	0.0727206203520199	0.0571633914177431	0.0429577199277619	0.0309963885665657	0.0215577972912174	0.0145016639264961	0.00946435685027488	0.00600933318484700	0.00372138499044301	0.00225268668933545	0.00133565859096294	0.000777115885326225]*100;

f=figure;
hold on;
box on;
plot(rDistr_PAHPSS_8,Fr_PAHPSS_8,'--','Color',[96,58,232]./255);
plot(rDistr_PAHPAA_7,Fr_PAHPAA_7,'--','Color',[230,68,62]./255);
set(gca,'FontSize',15)
ylim([0,15]);
ylabel('Relative number (%)');
yticks([20 40 60 80 100]);
xlim([0.1 1]);
xlabel('Effective pore radius (nm)');
pbaspect([1 1 1])
hold off;

%PSD flux
rDistr_PAHPSS_8=[2.40000000000000e-10	2.50000000000000e-10	2.60000000000000e-10	2.70000000000000e-10	2.80000000000000e-10	2.90000000000000e-10	3.00000000000000e-10	3.10000000000000e-10	3.20000000000000e-10	3.30000000000000e-10	3.40000000000000e-10	3.50000000000000e-10	3.60000000000000e-10	3.70000000000000e-10	3.80000000000000e-10	3.90000000000000e-10	4.00000000000000e-10	4.10000000000000e-10	4.20000000000000e-10	4.30000000000000e-10	4.40000000000000e-10	4.50000000000000e-10	4.60000000000000e-10	4.70000000000000e-10	4.80000000000000e-10	4.90000000000000e-10	5.00000000000000e-10	5.10000000000000e-10	5.20000000000000e-10	5.30000000000000e-10	5.40000000000000e-10	5.50000000000000e-10	5.60000000000000e-10	5.70000000000000e-10	5.80000000000000e-10	5.90000000000000e-10	6.00000000000000e-10	6.10000000000000e-10	6.20000000000000e-10	6.30000000000000e-10	6.40000000000000e-10	6.50000000000000e-10	6.60000000000000e-10	6.70000000000000e-10	6.80000000000000e-10	6.90000000000000e-10	7.00000000000000e-10	7.10000000000000e-10	7.20000000000000e-10	7.30000000000000e-10	7.40000000000000e-10	7.50000000000000e-10	7.60000000000000e-10	7.70000000000000e-10	7.80000000000000e-10	7.90000000000000e-10	8.00000000000000e-10	8.10000000000000e-10	8.20000000000000e-10	8.30000000000000e-10	8.40000000000000e-10	8.50000000000000e-10	8.60000000000000e-10	8.70000000000000e-10	8.80000000000000e-10	8.90000000000000e-10	9.00000000000000e-10	9.10000000000000e-10	9.20000000000000e-10	9.30000000000000e-10	9.40000000000000e-10	9.50000000000000e-10]*10^9;
Fr_PAHPSS_8=[0.00201740735472481	0.00276977204925698	0.00368522033609529	0.00476630551785365	0.00600846068172349	0.00739998388619176	0.00892252872131501	0.0105520182909904	0.0122598715217418	0.0140144186397952	0.0157823852362089	0.0175303378979192	0.0192260049144385	0.0208394093544408	0.0223437757851257	0.0237161938451316	0.0249380403682707	0.0259951761035386	0.0268779431717514	0.0275809955327370	0.0281029974545798	0.0284462249482404	0.0286161030541387	0.0286207083982092	0.0284702621470932	0.0281766338560961	0.0277528720820072	0.0272127732864799	0.0265704966550925	0.0258402290984178	0.0250359019216386	0.0241709584420334	0.0232581701623873	0.0223094979173777	0.0213359936335027	0.0203477379120846	0.0193538084917938	0.0183622747092481	0.0173802132976057	0.0164137411953866	0.0154680614407149	0.0145475186670629	0.0136556611697763	0.0127953069587568	0.0119686116376742	0.0111771363444421	0.0104219143455566	0.00970351519528737	0.00902210564887002	0.00837750675764192	0.00776924677553790	0.00719660967330056	0.00665867919241362	0.00615437847858614	0.00568250541808347	0.00524176386269134	0.00483079097379886	0.00444818094592373	0.00409250538762808	0.00376233064553914	0.00345623235715304	0.00317280751203727	0.00291068429046881	0.00266852993471700	0.00244505689215228	0.00223902745198876	0.00204925707943653	0.00187461663288837	0.00171403363191061	0.00156649272656089	0.00143103550213975	0.00130675973805149]*100;
rDistr_PAHPAA_7=[2.10000000000000e-10	2.20000000000000e-10	2.30000000000000e-10	2.40000000000000e-10	2.50000000000000e-10	2.60000000000000e-10	2.70000000000000e-10	2.80000000000000e-10	2.90000000000000e-10	3.00000000000000e-10	3.10000000000000e-10	3.20000000000000e-10	3.30000000000000e-10	3.40000000000000e-10	3.50000000000000e-10	3.60000000000000e-10	3.70000000000000e-10	3.80000000000000e-10	3.90000000000000e-10	4.00000000000000e-10	4.10000000000000e-10]*10^9;
Fr_PAHPAA_7=[0.00877966287457469	0.0172503940522869	0.0296880900363289	0.0454425011029477	0.0626817431732139	0.0788034657798740	0.0911910530077877	0.0979697952847324	0.0984537962723310	0.0931635288630137	0.0834964668653189	0.0712433728650242	0.0581393527483978	0.0455641621402907	0.0344186118104287	0.0251422677156626	0.0178129773941751	0.0122727623511508	0.00824256835770247	0.00540802591089369	0.00347315807581070]*100;

f=figure;
hold on;
box on;
plot(rDistr_PAHPSS_8,Fr_PAHPSS_8,'--','Color',[96,58,232]./255);
plot(rDistr_PAHPAA_7,Fr_PAHPAA_7,'--','Color',[230,68,62]./255);
set(gca,'FontSize',15)
ylim([0,10]);
ylabel('Relative water flux (%)');
yticks([2.5 5 7.5 10]);
xlim([0.1 1]);
xlabel('Effective pore radius (nm)');
pbaspect([1 1 1])
hold off;

%% MWCO Symmetric
%PAHPSS
BL=[8 9 10 11];
MWCO_Avg=[361.1575 355.07595 363.00599 345.0299];
Conf_MWCO=[15.67598 7.24551 19.98033 18.42656];

f=figure;
hold on;
box on;
b = bar(MWCO_Avg);
b.FaceColor = [96,58,232]./255;
set(gca,'FontSize',15)
ylim([0,500]);
title('PAH/PSS');
ylabel('Molecular weight cut-off (Da)');
yticks([0 100 200 300 400 500]);
pbaspect([1 1 1])
er = errorbar([1 2 3 4],MWCO_Avg,Conf_MWCO);  
er.Color = [0 0 0];                            
er.LineStyle = 'none';  
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xticklabels({'8','9','10','11'});
xlabel('Bilayers (-)');
hold off;

%PAHPAA
BL=[7 8 9 10];
MWCO_Avg=[102.06231 136.74159 137.21273 292.0682];
Conf_MWCO=[6.44451 8.57697 33.42148 91.62242];

f=figure;
hold on;
box on;
b = bar(MWCO_Avg);
b.FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,500]);
title('PAH/PAA');
ylabel('Molecular weight cut-off (Da)');
yticks([0 100 200 300 400 500]);
pbaspect([1 1 1])
er = errorbar([1 2 3 4],MWCO_Avg,Conf_MWCO);  
er.Color = [0 0 0];                            
er.LineStyle = 'none';  
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xticklabels({'7','8','9','10'});
xlabel('Bilayers (-)');
hold off;

%% MgCl2 Retention Experiments
%PAHPSS
MgCl2_Retention_1=[80.22648	86.25436	50.17422	42.33449	49.39024	60.80139	50.34843	53.57143	69.94774	34.7561	47.12544	55.22648	75.34843	48.34495	70.73171	85.67073];
MgCl2_Retention_2=[81.45581	85.77123	56.58579	48.09359	53.81282	66.81109	55.89255	59.09879	73.39688	39.42808	51.90641	61.69844	79.54939	54.15945	74.5234	87.82496];
Mg_Retention_3=[83.12212	88.65486	58.7196	49.56078	55.93507	69.17492	58.2117	60.99878	75.16969	42.27096	55.06472	62.86834	74.40252	55.42919	76.24931	89.44415];
Mg_Retention_Conf_3=[4.81705	3.23287	5.13685	4.20759	4.14659	4.9045	4.71929	5.32754	4.76338	3.68252	4.41944	5.40407	18.62218	7.95126	4.40237	3.24601];
fill=zeros(1,16);

f=figure;
f.Position = [10 10 1200 600];
hold on;
box on;
Y = [MgCl2_Retention_1' MgCl2_Retention_2' Mg_Retention_3'];
Y_CONF = [fill' fill' Mg_Retention_Conf_3'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
b(3).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([2 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
for i=1:1:nbars
x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,i),Y_CONF(:,i));  
er.Color = [0 0 0];                            
er.LineStyle = 'none';
end
xlim([0.5,16.5]);
xticks([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16]);
xticklabels({'a','b','c','d','a','b','c','d','a','b','c','d','a','b','c','d'});
xlabel('Module');
[legend_h,object_h,plot_h,text_strings] = legend({'Run #1','Run #2','Ternary Mg Retention'},'Location','northoutside','Orientation','horizontal');
legend boxoff 
h = annotation('textbox', [0.2, 0.74, 0.1, 0.1], 'String', '8 BLs');
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'normal';
h = annotation('textbox', [0.39, 0.74, 0.1, 0.1], 'String', '9 BLs');
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'normal';
h = annotation('textbox', [0.58, 0.74, 0.1, 0.1], 'String', '10 BLs');
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'normal';
h = annotation('textbox', [0.77, 0.74, 0.1, 0.1], 'String', '11 BLs');
h.LineStyle = 'none';
h.FontSize = 15;
h.FontWeight = 'normal';
xline(4.5,'--')
xline(8.5,'--')
xline(12.5,'--')
hold off;

%% Salt Retention Experiments
%PAHPAA
BL=[1 2 3 4];
Ret_NaCl=[0.328715365	0.324937028	0.332073887	0.310243493]*100;
Conf_NaCl=[0.00702745	0.044147175	0.008828651	0.035608233]*100;
Ret_Na2SO4=[0.838953041	0.780087247	0.788491147	0.720361817]*100;
Conf_Na2SO4=[0.013509409	0.008623247	0.019811939	0.018986881]*100;
Ret_MgCl2=[0.840782123	0.831943848	0.827073485	0.746669532]*100;
Conf_MgCl2=[0.00947283	0.012324903	0.024126988	0.035105887]*100;
Ret_MgSO4=[0.92245 0.85993 0.91496 0.75418]*100;
Conf_MgSO4=[0.004980624 0.024194552 0.023775766 0.05532664]*100;

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [Ret_NaCl' Ret_Na2SO4' Ret_MgCl2' Ret_MgSO4'];
Y_CONF = [Conf_NaCl' Conf_Na2SO4' Conf_MgCl2' Conf_MgSO4'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [170,220,100]./255;
b(2).FaceColor = [96,58,232]./255;
b(3).FaceColor = [230,68,62]./255;
b(4).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
title('PAH/PAA');
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
for i=1:1:ngroups
x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,i),Y_CONF(:,i));  
er.Color = [0 0 0];                            
er.LineStyle = 'none';
end
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xlabel('Bilayers after pore closing (-)');
[legend_h,object_h,plot_h,text_strings] = legend({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'},'Location','North','Orientation','horizontal');
legend boxoff 
hold off;

%PAHPSS
BL=[1 2 3 4];
Ret_NaCl=[0.277502068	0.29197684	0.303970223	0.228287841]*100;
Conf_NaCl=[0.032265769	0.016508787	0.014636294	0.015273369]*100;
Ret_Na2SO4=[0.964037794	0.967605091	0.966930197	0.963266487]*100;
Conf_Na2SO4=[0.021186006	0.004993457	0.015475092	0.014264903]*100;
Ret_MgCl2=[0.647473868	0.535278746	0.457026713	0.700239547]*100;
Conf_MgCl2=[0.345807985	0.08223962	0.256091998	0.250527452]*100;
Ret_MgSO4=[0.905330475	0.897474624	0.889203477	0.91798288]*100;
Conf_MgSO4=[0.087094994	0.023054607	0.07670819	0.065642217]*100;

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [Ret_NaCl' Ret_Na2SO4' Ret_MgCl2' Ret_MgSO4'];
Y_CONF = [Conf_NaCl' Conf_Na2SO4' Conf_MgCl2' Conf_MgSO4'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [170,220,100]./255;
b(2).FaceColor = [96,58,232]./255;
b(3).FaceColor = [230,68,62]./255;
b(4).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
title('PAH/PSS');
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
for i=1:1:ngroups
x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,i),Y_CONF(:,i));  
er.Color = [0 0 0];                            
er.LineStyle = 'none';
end
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xlabel('Bilayers after pore closing (-)');
legend({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'},'Location','North','Orientation','horizontal');
legend boxoff 
hold off;

%PAHPSS+PAHPAA
BL=[1 2 3 4];
Ret_NaCl=[0.181202371	0.178662151	0.189246401	0.201947502]*100;
Conf_NaCl=[0.028219448	0.007932996	0.008903407	0.019602318]*100;
Ret_Na2SO4=[0.945563549	0.937330136	0.914428457	0.900139888]*100;
Conf_Na2SO4=[0.00319766	0.005206243	0.018411827	0.003717631]*100;
Ret_MgCl2=[0.959280303	0.94922138	0.953843996	0.953829966]*100;
Conf_MgCl2=[0.002124494	0.014161671	0.003794697	0.006675154]*100;
Ret_MgSO4=[0.970043946	0.972940416	0.972790902	0.962639239]*100;
Conf_MgSO4=[0.000558489	0.003858274	0.005300209	0.008108241]*100;

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [Ret_NaCl' Ret_Na2SO4' Ret_MgCl2' Ret_MgSO4'];
Y_CONF = [Conf_NaCl' Conf_Na2SO4' Conf_MgCl2' Conf_MgSO4'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [170,220,100]./255;
b(2).FaceColor = [96,58,232]./255;
b(3).FaceColor = [230,68,62]./255;
b(4).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
for i=1:1:ngroups
x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,i),Y_CONF(:,i));  
er.Color = [0 0 0];                            
er.LineStyle = 'none';
end
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xlabel('Bilayers after pore closing (-)');
legend({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'},'Location','North','Orientation','horizontal');
legend boxoff 
hold off;

%% Salt Retention Comparison
%[PAH/PSS PAH/PAA PAH/PSS+PAH/PAA]
Ret_NaCl=[0.275434 0.320634 0.187765]*100;
Conf_NaCl=[0.017044 0.010658 0.007389]*100;
Ret_Na2SO4=[0.965460 0.782099 0.926171]*100;
Conf_Na2SO4=[0.004647 0.025413 0.010352]*100;
Ret_MgCl2=[0.593537 0.793221 0.954057]*100;
Conf_MgCl2=[0.090268 0.042282 0.003321]*100;
Ret_MgSO4=[0.902498 0.863077 0.969308]*100;
Conf_MgSO4=[0.021088 0.041029 0.002667]*100;

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
Y = [Ret_NaCl' Ret_Na2SO4' Ret_MgCl2' Ret_MgSO4'];
Y_CONF = [Conf_NaCl' Conf_Na2SO4' Conf_MgCl2' Conf_MgSO4'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [170,220,100]./255;
b(2).FaceColor = [96,58,232]./255;
b(3).FaceColor = [230,68,62]./255;
b(4).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
for i=1:1:ngroups
x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,i),Y_CONF(:,i));  
er.Color = [0 0 0];                            
er.LineStyle = 'none';
end
xlim([0.5,3.5]);
xticks([1 2 3]);
xticklabels({'PAH/PSS','PAH/PAA','PAH/PSS\newline+PAH/PAA'});
legend({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'},'Location','North','Orientation','horizontal');
legend boxoff 
hold off;

%% Ternary Ion Retention Experiments
%%PAHPSS 8BL
%NaCl+Na2SO4
Ratio=[20 40 60 80];
Ret_Na=[0.845747139	0.719466222	0.609413108	0.471444326]*100;
Conf_Na=[0.013997549	0.014550492	0.02057817	0.026532266]*100;
Ret_Cl=[-0.464813135	-0.191366447	-0.004764282	0.158448394]*100;
Conf_Cl=[0.102145807	0.071157902	0.051348131	0.043108332]*100;
Ret_SO4=[0.980152496	0.981869267	0.985395334	0.985992577]*100;
Conf_SO4=[0.010892874	0.00967335	0.007733219	0.006919216]*100;
Ret_NaCl=0.277502068*100;
Conf_NaCl=0.032265769*100;
Ret_Na2SO4=0.964037794*100;
Conf_Na2SO4=0.021186006*100;

f=figure;
hold on;
box on;
errorbar(Ratio,Ret_Na,Conf_Na,Conf_Na,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Ratio,Ret_Cl,Conf_Cl,Conf_Cl,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(Ratio,Ret_SO4,Conf_SO4,Conf_SO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(0,Ret_Na2SO4,Conf_Na2SO4,Conf_Na2SO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(100,Ret_NaCl,Conf_NaCl,Conf_NaCl,'.','MarkerSize',15,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([-60,100]);
ylabel('Retention (%)');
yticks([-60 -40 -20 0 20 40 60 80 100]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+Na_2SO_4) (%)');
xticks([20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + Na_2SO_4');
hold off;

%NaCl+MgCl2
Ratio=[20 40 60 80];
Ret_Na=[-0.647630527 -0.322718518 -0.123045736 0.038179561]*100;
Conf_Na=[0.5008 0.2267 0.1023 0.0286]*100;
Ret_Cl=[0.571479122 0.471136637 0.343482931 0.252661766]*100;
Conf_Cl=[0.2109 0.1644 0.1298 0.0897]*100;
Ret_Mg=[0.712775591 0.721502706 0.703426784 0.662868551]*100;
Conf_Mg=[0.2949 0.2850 0.3202 0.2997]*100;
Ret_NaCl=0.277502068*100;
Conf_NaCl=0.032265769*100;
Ret_MgCl2=0.647473868*100;
Conf_MgCl2=0.345807985*100;

f=figure;
hold on;
box on;
errorbar(Ratio,Ret_Na,Conf_Na,Conf_Na,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Ratio,Ret_Cl,Conf_Cl,Conf_Cl,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(Ratio,Ret_Mg,Conf_Mg,Conf_Mg,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(0,Ret_MgCl2,Conf_MgCl2,Conf_MgCl2,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(100,Ret_NaCl,Conf_NaCl,Conf_NaCl,'.','MarkerSize',15,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([-100,100]);
ylabel('Retention (%)');
yticks([-100 -75 -50 -25 0 25 50 75 100]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+MgCl_2) (%)');
xticks([20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + MgCl_2');
hold off;

%MgSO4+Na2SO4
Ratio=[20 40 60 80];
Ret_Na=[0.782092495 0.854372738 0.903280203 0.942393409]*100;
Conf_Na=[0.07126 0.06322 0.04606 0.02842]*100;
Ret_SO4=[0.944997022 0.945294932 0.952024769 0.963768073]*100;
Conf_SO4=[0.03313 0.03142 0.02753 0.02019]*100;
Ret_Mg=[0.951617869 0.962504171 0.970589074 0.888620156]*100;
Conf_Mg=[0.02434 0.01022 0.01426 0.03101]*100;
Ret_Na2SO4=0.964037794*100;
Conf_Na2SO4=0.021186006*100;
Ret_MgSO4=0.905330475*100;
Conf_MgSO4=0.087094994*100;

f=figure;
hold on;
box on;
errorbar(Ratio,Ret_Na,Conf_Na,Conf_Na,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Ratio,Ret_SO4,Conf_SO4,Conf_SO4,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(Ratio,Ret_Mg,Conf_Mg,Conf_Mg,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(0,Ret_MgSO4,Conf_MgSO4,Conf_MgSO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(100,Ret_Na2SO4,Conf_Na2SO4,Conf_Na2SO4,'.','MarkerSize',15,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([60,100]);
ylabel('Retention (%)');
yticks([70 80 90 100]);
xlim([0,100]);
xlabel('Molar Ratio Na_2SO_4/(Na_2SO_4+MgSO_4) (%)');
xticks([20 40 60 80 100]);
pbaspect([1 1 1])
title('Na_2SO_4 + MgSO_4');
hold off;

%PAHPAA 7BL
%NaCl+Na2SO4
Ratio=[20 40 60 80];
Ret_Na=[0.752106272	0.601128129	0.520044863	0.401349484]*100;
Conf_Na=[0.011235733	0.01099844	0.010952374	0.011816856]*100;
Ret_Cl=[-0.753248639	-0.268706371	-0.053295067	0.118746869]*100;
Conf_Cl=[0.035255379	0.017569744	0.013656738	0.009611896]*100;
Ret_SO4=[0.895189791	0.852066245	0.895769636	0.87545371]*100;
Conf_SO4=[0.011635033	0.013198907	0.012102961	0.017510804]*100;
Ret_NaCl=0.328715365*100;
Conf_NaCl=0.00702745*100;
Ret_Na2SO4=0.838953041*100;
Conf_Na2SO4=0.013509409*100;

f=figure;
hold on;
box on;
errorbar(Ratio,Ret_Na,Conf_Na,Conf_Na,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Ratio,Ret_Cl,Conf_Cl,Conf_Cl,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(Ratio,Ret_SO4,Conf_SO4,Conf_SO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(0,Ret_Na2SO4,Conf_Na2SO4,Conf_Na2SO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(100,Ret_NaCl,Conf_NaCl,Conf_NaCl,'.','MarkerSize',15,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([-100,100]);
ylabel('Retention (%)');
yticks([-100 -75 -50 -25 0 25 50 75 100]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+Na_2SO_4) (%)');
xticks([20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + Na_2SO_4');
hold off;

%NaCl+MgCl2
Ratio=[20 40 60 80]; 
Ret_Na=[-0.175555676 0.039567611 0.090727212 0.225509593]*100;
Conf_Na=[0.01134 0.00704 0.00442 0.02192]*100;
Ret_Cl=[0.771205693 0.675543803 0.525540747 0.434116745]*100;
Conf_Cl=[0.00578 0.00792 0.00569 0.00753]*100;
Ret_Mg=[0.878953132 0.872980895 0.861351643 0.879093099]*100;
Conf_Mg=[0.01033 0.01115 0.01807 0.03609]*100;
Ret_NaCl=0.328715365*100;
Conf_NaCl=0.00702745*100;
Ret_MgCl2=0.840782123*100;
Conf_MgCl2=0.00947283*100;

f=figure;
hold on;
box on;
errorbar(Ratio,Ret_Na,Conf_Na,Conf_Na,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Ratio,Ret_Cl,Conf_Cl,Conf_Cl,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(Ratio,Ret_Mg,Conf_Mg,Conf_Mg,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(0,Ret_MgCl2,Conf_MgCl2,Conf_MgCl2,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(100,Ret_NaCl,Conf_NaCl,Conf_NaCl,'.','MarkerSize',15,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([-40,100]);
ylabel('Retention (%)');
yticks([-40 -20 0 20 40 60 80 100]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+MgCl_2) (%)');
xticks([20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + MgCl_2');
hold off;

%MgSO4+Na2SO4
Ratio=[20 40 60 80];
Ret_Na=[0.377871799 0.65436072 0.674781504 0.769758787]*100;
Conf_Na=[0.015511143 0.011065062 0.104808255 0.0179216]*100;
Ret_SO4=[0.822813794 0.837116379 0.791232033 0.817226502]*100; 
Conf_SO4=[0.003194132 0.006526647 0.076118429 0.016297]*100;
Ret_Mg=[0.911103782 0.921226188 0.907078327 0.887551736]*100;
Conf_Mg=[0.001728559 0.010972676 0.017092344 0.0290638]*100;
Ret_Na2SO4=0.838953041*100;
Conf_Na2SO4=0.013509409*100;
Ret_MgSO4=0.92245*100;
Conf_MgSO4=0.004980624*100;

f=figure;
hold on;
box on;
errorbar(Ratio,Ret_Na,Conf_Na,Conf_Na,'.','MarkerSize',15,'Color',[96,58,232]./255);
errorbar(Ratio,Ret_SO4,Conf_SO4,Conf_SO4,'.','MarkerSize',15,'Color',[230,68,62]./255);
errorbar(Ratio,Ret_Mg,Conf_Mg,Conf_Mg,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(0,Ret_MgSO4,Conf_MgSO4,Conf_MgSO4,'.','MarkerSize',15,'Color',[0,0,0]./255);
errorbar(100,Ret_Na2SO4,Conf_Na2SO4,Conf_Na2SO4,'.','MarkerSize',15,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([0,100]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
xlim([0,100]);
xlabel('Molar Ratio Na_2SO_4/(Na_2SO_4+MgSO_4) (%)');
xticks([20 40 60 80 100]);
pbaspect([1 1 1])
title('Na_2SO_4 + MgSO_4');
hold off;

%% PEG Retention Model
%PAHPSS
Exp_MW_PAHPSS=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSS=[0.042920684 0.20530636 0.685219664 0.95146094 0.982629933 0.988988847 0.997636952 0.997466125]*100;
Exp_Conf_PAHPSS=[0.006088174 0.016327174 0.024911513 0.020289625 0.014808701 0.012016347 0.003171635 0.003088381]*100;

Mod_MW_PAHPSS=[(10:10:960) 3000];
Mod_Ret_PAHPSS=100*[0.000470831	0.001755832	0.004120205	0.008132882	0.014864088	0.026093587	0.043500302	0.067325711	0.097076016	0.132060544	0.171366177	0.213964241	0.258820319	0.304961706	0.351518269	0.3977406	0.443005194	0.486811929	0.528776268	0.568618492	0.606151263	0.641266555	0.673922618	0.704131507	0.7319474	0.757456364	0.78076762	0.802005872	0.821305054	0.838803306	0.854639038	0.868947516	0.88185847	0.893496181	0.903977679	0.913412144	0.921899562	0.929532054	0.936394897	0.942565858	0.948114234	0.953103225	0.95759085	0.961629006	0.965263061	0.968535359	0.971483941	0.974141341	0.976537985	0.978701446	0.980654864	0.982420117	0.984017018	0.985461879	0.986770617	0.987957225	0.989033298	0.990010554	0.990898466	0.991705743	0.992440778	0.993109953	0.993720093	0.994276677	0.99478462	0.995248876	0.995672991	0.996061101	0.996416133	0.996741189	0.997038983	0.997311656	0.997561678	0.997790604	0.998000533	0.998192712	0.99836882	0.998529963	0.998677408	0.998812214	0.998935296	0.999047664	0.999149992	0.999243212	0.999327846	0.999404734	0.999474295	0.999537274	0.99959402	0.999645189	0.999691072	0.999732248	0.999768961	0.999801718	0.999830728	0.999856432	1];

Exp_MW_PAHPAA=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPAA=[0.3723395 0.90240075 0.965794302 0.990791667 0.989214318 0.990700053 0.979625383 0.994237199]*100;
Exp_Conf_PAHPAA=[0.026798958 0.003790814 0.004174271 0.003332137 0.005699656 0.00833772 0.024925468 0.00746608]*100;

Mod_MW_PAHPAA=[(10:10:320) 3000];
Mod_Ret_PAHPAA=100*[0.002321698	0.011537941	0.036953049	0.09893942	0.214276773	0.368432424	0.528920172	0.669099826	0.777619902	0.855056414	0.907391688	0.941545798	0.963351147	0.977090847	0.985687339	0.991051043	0.994398943	0.996493527	0.997808483	0.998637308	0.999161664	0.999494046	0.99970415	0.999835244	0.999914562	0.99996008	0.999984163	0.999995304	0.999999288	1	1	1	1];

Exp_MW_PAHPSSPAHPAA1=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSSPAHPAA1=[0.055432679	0.286713273	0.798616275	0.979282805	0.993582446	0.996011499	0.995408666	0.998276538]*100;
Exp_Conf_PAHPSSPAHPAA1=[0.008549873	0.0148174	0.02385983	0.014480995	0.013190986	0.007651902	0.005540503	0.002231215]*100;

Exp_MW_PAHPSSPAHPAA2=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSSPAHPAA2=[0.072153441	0.395905367	0.879725601	0.990818234	0.994967251	0.995401896	0.995961573	0.997048423]*100;
Exp_Conf_PAHPSSPAHPAA2=[0.001494187	0.011365117	0.016831365	0.016615436	0.012525706	0.010686207	0.008716783	0.008101939]*100;

Exp_MW_PAHPSSPAHPAA3=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSSPAHPAA3=[0.134075721	0.632461635	0.961303497	0.99457071	0.99570916	0.995973075	0.996753699	0.998038905]*100;
Exp_Conf_PAHPSSPAHPAA3=[0.006391172	0.089320471	0.02523107	0.017278424	0.012546661	0.006867289	0.005217373	0.003158788]*100;

Exp_MW_PAHPSSPAHPAA4=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSSPAHPAA4=[0.221878029	0.834183128	0.990037313	0.999036538	0.999585831	0.996685763	0.998029482	0.998708752]*100;
Exp_Conf_PAHPSSPAHPAA4=[0.039962972	0.011390436	0.002667639	0.001453903	0.000502609	0.001136343	0.00150087	0.000241839]*100;

Exp_MW_PAHPSSPAHPAA5=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSSPAHPAA5=[0.254099571	0.888283937	0.993467501	0.994667932	0.995017881	0.995636182	0.997234163	0.997999706]*100;
Exp_Conf_PAHPSSPAHPAA5=[0.008309969	0.010335023	0.014070569	0.008431014	0.006777818	0.00862266	0.006394435	0.004509721]*100;

Exp_MW_PAHPSSPAHPAA6=[62 106 200 400 600 1000 2000 3000];
Exp_Ret_PAHPSSPAHPAA6=[0.256377374	0.882821613	0.978453838	0.982867907	0.982115907	0.982996	0.986389809	0.988765116]*100;
Exp_Conf_PAHPSSPAHPAA6=[0.013300647	0.009099145	0.003177532	0.006574042	0.003900707	0.00688304	0.002981086	0.004286303]*100;

Mod_MW_ASYMM=[(10:10:320) 3000];
Mod_Ret_Asym_AVG=100*[0.000766659	0.003639151	0.011294373	0.031429357	0.083196852	0.184607581	0.328864742	0.490369792	0.640681234	0.762482327	0.851352829	0.911144346	0.948931509	0.971648781	0.984752155	0.992042036	0.995964457	0.99800894	0.99904275	0.999550857	0.999794209	0.999908208	0.999960738	0.999984639	0.999995044	0.999998922	0.999999933	1	1	1	1	1	1];

f=figure;
hold on;
box on;
plot(Exp_MW_PAHPSSPAHPAA1,Exp_Ret_PAHPSSPAHPAA1,'ko','MarkerSize',4,'MarkerFaceColor','k');
plot(Exp_MW_PAHPSSPAHPAA2,Exp_Ret_PAHPSSPAHPAA2,'k^','MarkerSize',4,'MarkerFaceColor','k');
plot(Exp_MW_PAHPSSPAHPAA3,Exp_Ret_PAHPSSPAHPAA3,'k>','MarkerSize',4,'MarkerFaceColor','k');
plot(Exp_MW_PAHPSSPAHPAA4,Exp_Ret_PAHPSSPAHPAA4,'kv','MarkerSize',4,'MarkerFaceColor','k');
plot(Exp_MW_PAHPSSPAHPAA5,Exp_Ret_PAHPSSPAHPAA5,'k<','MarkerSize',4,'MarkerFaceColor','k');
plot(Exp_MW_PAHPSSPAHPAA6,Exp_Ret_PAHPSSPAHPAA6,'ks','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSSPAHPAA1,Exp_Ret_PAHPSSPAHPAA1,Exp_Conf_PAHPSSPAHPAA1,Exp_Conf_PAHPSSPAHPAA1,'ko','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSSPAHPAA2,Exp_Ret_PAHPSSPAHPAA2,Exp_Conf_PAHPSSPAHPAA2,Exp_Conf_PAHPSSPAHPAA2,'k^','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSSPAHPAA3,Exp_Ret_PAHPSSPAHPAA3,Exp_Conf_PAHPSSPAHPAA3,Exp_Conf_PAHPSSPAHPAA3,'k>','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSSPAHPAA4,Exp_Ret_PAHPSSPAHPAA4,Exp_Conf_PAHPSSPAHPAA4,Exp_Conf_PAHPSSPAHPAA4,'kv','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSSPAHPAA5,Exp_Ret_PAHPSSPAHPAA5,Exp_Conf_PAHPSSPAHPAA5,Exp_Conf_PAHPSSPAHPAA5,'k<','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSSPAHPAA6,Exp_Ret_PAHPSSPAHPAA6,Exp_Conf_PAHPSSPAHPAA6,Exp_Conf_PAHPSSPAHPAA6,'ks','MarkerSize',4,'MarkerFaceColor','k');
errorbar(Exp_MW_PAHPSS,Exp_Ret_PAHPSS,Exp_Conf_PAHPSS,Exp_Conf_PAHPSS,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(Mod_MW_PAHPSS,Mod_Ret_PAHPSS,'--','Color',[96,58,232]./255);
errorbar(Exp_MW_PAHPAA,Exp_Ret_PAHPAA,Exp_Conf_PAHPAA,Exp_Conf_PAHPAA,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(Mod_MW_PAHPAA,Mod_Ret_PAHPAA,'--','Color',[230,68,62]./255);
plot(Mod_MW_PAHPAA,Mod_Ret_Asym_AVG,'--k');
legend({'+1 BL','+2 BL','+3 BL','+4 BL','+5 BL','+6 BL'},'Location','SouthEast');
set(gca,'FontSize',15)
ylim([0,100]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
xlim([10 10^3.5]);
xlabel('Molecular weight (g\cdotmol^{-1})');
set(gca,'Xscale','log');
pbaspect([1 1 1])
hold off;

%MWCO
BL_number=[1 2 3 4 5 6 7 8];
AVG_MWCO=[311.9219955	236.3912872	182.2762398	145.6742397	116.600008	122.8035096	126.7473697	138.6679347];
CONF_MWCO=[20.11784114	29.92770395	7.997382426	3.499442858	9.511054558	7.50159697	30.08899571	13.15741721];
MW_PAHPSS_AVG=[361.1574994];
MW_PAHPSS_CONF=[15.67597629];
MW_PAHPAA_AVG=[102.0623148];
MW_PAHPAA_CONF=[6.444514522];

f=figure;
hold on;
box on;
errorbar(BL_number,AVG_MWCO,CONF_MWCO,CONF_MWCO,'.','MarkerSize',15,'Color','k');
plot([0 10],[MW_PAHPSS_AVG MW_PAHPSS_AVG],'--','Color',[96,58,232]./255);
plot([0 10],[MW_PAHPSS_AVG+MW_PAHPSS_CONF MW_PAHPSS_AVG+MW_PAHPSS_CONF],':','Color',[96,58,232]./255);
plot([0 10],[MW_PAHPSS_AVG-MW_PAHPSS_CONF MW_PAHPSS_AVG-MW_PAHPSS_CONF],':','Color',[96,58,232]./255);
plot([0 10],[MW_PAHPAA_AVG MW_PAHPAA_AVG],'--','Color',[230,68,62]./255);
plot([0 10],[MW_PAHPAA_AVG+MW_PAHPAA_CONF MW_PAHPAA_AVG+MW_PAHPAA_CONF],':','Color',[230,68,62]./255);
plot([0 10],[MW_PAHPAA_AVG-MW_PAHPAA_CONF MW_PAHPAA_AVG-MW_PAHPAA_CONF],':','Color',[230,68,62]./255);
set(gca,'FontSize',15)
ylim([0,400]);
ylabel('Molceular weight cut-off (Da)');
yticks([100 200 300 400]);
xlim([0 10]);
xticks([2 4 6 8 10]);
xlabel('Bilayers after pore closing (-)');
pbaspect([1 1 1])
hold off;

%% Salt Retention Symmetric Prediction
%from extrapolated, no steric
%%PAHPSS8BL
Ret_Exp_Avg=[0.277502068 0.964037794 0.647473868 0.905330475]*100;
Ret_Exp_Conf=[0.032265769 0.021186006 0.345807985 0.087094994]*100;
Ret_Mod_min=[0.289833942 0.962575944 0.7644 NaN]*100;%0.985596018
Ret_Mod_max=[NaN NaN 0.956136679 NaN]*100;
Ret_Mod_fit=[NaN NaN NaN 0.908573910495661]*100;

f=figure;
hold on;
box on;
Y = [Ret_Exp_Avg' Ret_Mod_min'];
Y_CONF = [Ret_Exp_Conf];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,120]);
title('PAH/PSS');
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xticklabels({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'})
bar([[NaN NaN NaN NaN]' Ret_Mod_max'],'FaceColor',[230,68,62]./255,'FaceAlpha',0.3,'LineStyle','--','BarWidth',1)
bar([[NaN NaN NaN NaN]' Ret_Mod_fit'],'FaceColor',[230,68,62]./255,'LineStyle','--','BarWidth',1)
legend({'Experiments','Model'},'Location','North','Orientation','horizontal')
legend boxoff 
hold off;

%%PAHPAA7BL
Ret_Exp_Avg=[0.328715365 0.838953041 0.84 0.92245]*100;
Ret_Exp_Conf=[0.00702745 0.013509409 0.00947283 0.004980624]*100;
Ret_Mod=[0.276986493 0.93249838 0.954041919 0.97943497]*100;

f=figure;
hold on;
box on;
Y = [Ret_Exp_Avg' Ret_Mod'];
Y_CONF = [Ret_Exp_Conf];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,120]);
title('PAH/PAA');
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xticklabels({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'})
bar([[NaN NaN NaN NaN]' [NaN NaN NaN NaN]'],'FaceColor',[230,68,62]./255,'FaceAlpha',0.3,'LineStyle','--','BarWidth',1)
legend({'Experiments','Model'},'Location','North','Orientation','horizontal')
legend boxoff 
hold off;

%% Salt Retention Asymmetric Prediction
%from fully extrapolated, no steric
Ret_Asym_Exp_Avg=[0.187765 0.926171 0.954057 0.969308]*100;
Ret_Asym_Exp_Conf=[0.007389 0.010352 0.003321 0.002667]*100;
Ret_Asym_Mod_min=[0.254283276 0.946685136 0.825083113 0.952582096]*100;
Ret_Asym_Mod_max=[NaN NaN 0.950406193 NaN]*100;

f=figure;
hold on;
box on;
Y = [Ret_Asym_Exp_Avg' Ret_Asym_Mod_min'];
Y_CONF = [Ret_Asym_Exp_Conf];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,120]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xticklabels({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'})
bar([[NaN NaN NaN NaN]' Ret_Asym_Mod_max'],'FaceColor',[230,68,62]./255,'FaceAlpha',0.3,'LineStyle','--','BarWidth',1)
legend({'Experiments','Model'},'Location','North','Orientation','horizontal')
legend boxoff 
hold off;

Ret_PAHPSS_Mod_min=[0.289833942 0.962575944 0.7644 NaN]*100;
Ret_PAHPSS_Mod_max=[NaN NaN 0.956136679 0.90857391]*100;

Ret_PAHPAA_Mod=[0.276986493 0.93249838 0.954041919 0.97943497]*100;

Ret_NaCl=[Ret_PAHPSS_Mod_min(1) Ret_PAHPAA_Mod(1) Ret_Asym_Mod_min(1)];
Ret_Na2SO4=[Ret_PAHPSS_Mod_min(2) Ret_PAHPAA_Mod(2) Ret_Asym_Mod_min(2)];
Ret_MgCl2=[Ret_PAHPSS_Mod_min(3) Ret_PAHPAA_Mod(3) Ret_Asym_Mod_min(3)];
Ret_MgSO4=[Ret_PAHPSS_Mod_min(4) Ret_PAHPAA_Mod(4) Ret_Asym_Mod_min(4)];

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
bar([[NaN NaN NaN]' [NaN NaN NaN]' [Ret_PAHPSS_Mod_max(3) NaN Ret_Asym_Mod_max(3)]' [NaN NaN NaN]'],'FaceColor',[230,68+100,62+100]./255,'LineStyle','--','HandleVisibility','off','BarWidth',1)
bar([[NaN NaN NaN]' [NaN NaN NaN]' [NaN NaN NaN]' [Ret_PAHPSS_Mod_max(4) NaN Ret_Asym_Mod_max(4)]'],'FaceColor',[200,200,200]./255,'LineStyle','--','HandleVisibility','off','BarWidth',1)
Y = [Ret_NaCl' Ret_Na2SO4' Ret_MgCl2' Ret_MgSO4'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [170,220,100]./255;
b(2).FaceColor = [96,58,232]./255;
b(3).FaceColor = [230,68,62]./255;
b(4).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
xlim([0.5,3.5]);
xticks([1 2 3]);
xticklabels({'PAH/PSS','PAH/PAA','PAH/PSS+PAH/PAA'});
legend({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'},'Location','North','Orientation','horizontal');
legend boxoff 
hold off;

%% Salt Retention Asymmetric Prediction
%from dielectric extrapolated, no steric
Ret_Asym_Exp_Avg=[0.187765 0.926171 0.954057 0.969308]*100;
Ret_Asym_Exp_Conf=[0.007389 0.010352 0.003321 0.002667]*100;
Ret_Asym_Mod_min=[0.261599429 0.947494498 0.632519085 0.903809198]*100;
Ret_Asym_Mod_max=[NaN NaN 0.880977916 NaN]*100;

f=figure;
hold on;
box on;
Y = [Ret_Asym_Exp_Avg' Ret_Asym_Mod_min'];
Y_CONF = [Ret_Asym_Exp_Conf];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [96,58,232]./255;
b(2).FaceColor = [230,68,62]./255;
set(gca,'FontSize',15)
ylim([0,120]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
[ngroups, nbars]=size(Y);
groupwidth = min(0.8, nbars/(nbars + 1.5));
x = (1:ngroups) - groupwidth/2 + (2*1-1) * groupwidth / (2*nbars);
er = errorbar(x,Y(:,1),Y_CONF);      
er.Color = [0 0 0];                            
er.LineStyle = 'none';
xlim([0.5,4.5]);
xticks([1 2 3 4]);
xticklabels({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'})
bar([[NaN NaN NaN NaN]' Ret_Asym_Mod_max'],'FaceColor',[230,68,62]./255,'FaceAlpha',0.3,'LineStyle','--','BarWidth',1)
legend({'Experiments','Model'},'Location','North','Orientation','horizontal')
legend boxoff 
hold off;

Ret_PAHPSS_Mod_min=[0.27702023 0.964404619 0.422561604 0.90857391]*100;
Ret_PAHPSS_Mod_max=[NaN NaN 0.8616624 NaN]*100;

Ret_PAHPAA_Mod=[0.32883336 0.839138264 0.840887336 0.923242211]*100;

Ret_NaCl=[Ret_PAHPSS_Mod_min(1) Ret_PAHPAA_Mod(1) Ret_Asym_Mod_min(1)];
Ret_Na2SO4=[Ret_PAHPSS_Mod_min(2) Ret_PAHPAA_Mod(2) Ret_Asym_Mod_min(2)];
Ret_MgCl2=[Ret_PAHPSS_Mod_min(3) Ret_PAHPAA_Mod(3) Ret_Asym_Mod_min(3)];
Ret_MgSO4=[Ret_PAHPSS_Mod_min(4) Ret_PAHPAA_Mod(4) Ret_Asym_Mod_min(4)];

f=figure;
f.Position = [10 10 800 800];
hold on;
box on;
bar([[NaN NaN NaN]' [NaN NaN NaN]' [Ret_PAHPSS_Mod_max(3) NaN Ret_Asym_Mod_max(3)]' [NaN NaN NaN]'],'FaceColor',[230,68+100,62+100]./255,'LineStyle','--','HandleVisibility','off','BarWidth',1)
Y = [Ret_NaCl' Ret_Na2SO4' Ret_MgCl2' Ret_MgSO4'];
b = bar(Y,'BarWidth',1);
b(1).FaceColor = [170,220,100]./255;
b(2).FaceColor = [96,58,232]./255;
b(3).FaceColor = [230,68,62]./255;
b(4).FaceColor = [128,128,128]./255;
set(gca,'FontSize',15)
ylim([0,110]);
ylabel('Retention (%)');
yticks([20 40 60 80 100]);
pbaspect([1 1 1])
xlim([0.5,3.5]);
xticks([1 2 3]);
xticklabels({'PAH/PSS','PAH/PAA','PAH/PSS+PAH/PAA'});
legend({'NaCl','Na_2SO_4','MgCl_2','MgSO_4'},'Location','North','Orientation','horizontal');
legend boxoff 
hold off;

%% Effective Thickness Fit
HR_exp_avg=[4.0130E+13 4.8970E+13 7.1020E+13 1.0610E+14 1.4160E+14 1.7670E+14 2.2120E+14 2.1370E+14];
HR_exp_conf=[2.3900E+12 1.3000E+12 2.4500E+12 5.9000E+12 7.1000E+12 1.2900E+13 9.0000E+12 3.0500E+13];
HP_mod_lin=[7.094307240E+13	1.199894716E+14	1.690358708E+14	2.180822700E+14	2.671286692E+14	3.161750685E+14	3.652214677E+14	4.142678669E+14];

figure;
hold on;
box on;
pbaspect([1 1 1])
errorbar([1 2 3 4 5 6 7 8],HR_exp_avg,HR_exp_conf,HR_exp_conf,'.','MarkerSize',16,'Color','k'); 
plot([1 2 3 4 5 6 7 8],HP_mod_lin,'-k');
plot([4 5 6 7 8 9 10 11],HP_mod_lin,'--k');
axis([0,9,0,4E14]);
xlabel('Bilayers (-)');
set(gca,'FontSize',15)
ylabel('Hydraulic resistance (m^{-1})');
yticks([1E14 2E14 3E14 4E14]);
hold off;

dxe_cal=[1.87125E-07	2.77856E-07	5.0425995552E-07	8.6456571046E-07	1.2286865167E-06	1.5894114050E-06	2.0457213040E-06	1.9690631499E-06]*10^6;
%wet
T_PAHPSSPAHPAA1=[18.28	18.7	18.81];
T_PAHPSSPAHPAA2=[22.91	24.06	19.33];
T_PAHPSSPAHPAA3=[25.89	25.66	24.43];
T_PAHPSSPAHPAA4=[29.91	30.09	29.16];

figure;
hold on;
box on;
pbaspect([1 1 1])
plot([1 2 3 4 5 6 7 8],dxe_cal,'.','MarkerSize',16,'Color','k'); 
axis([0,9,0,3]);
xlabel('Bilayers (-)');
set(gca,'FontSize',15)
ylabel('Effective thickness (\mum)');
yticks([0.5 1 1.5 2 2.5 3]);
hold off;

%% Ternary Ion Retention Extrapolation
%%PAHPSS 8BL
%NaCl+Na2SO4
Ratio=[20 40 60 80];
eps_avg=[24.59178141	25.75318627	26.32370789	27.05379982];
eps_conf=[0.406189694	0.419570079	0.445788775	0.467233931];
Xd_avg=[-0.000164649	0.000763833	0.002416035	0.009926806];
Xd_conf=[0.005006538	0.010658329	0.013943902	0.015652472];

R_Mod=[0 100];
eps_Mod=-3.97829/100*(100-R_Mod)+27.91976;
Xd_Mod=-0.01596/100*(100-R_Mod)+0.01122;

f=figure;
hold on;
box on;
yyaxis left
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,eps_avg,eps_conf,eps_conf,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(R_Mod,eps_Mod,'--','linewidth',1.5,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([20,30]);
ylabel('Effective dielectric constant (-)');
yticks([20 22 24 26 28 30]);
yyaxis right
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,Xd_avg,Xd_conf,Xd_conf,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(R_Mod,Xd_Mod,'--','linewidth',1.5,'Color',[230,68,62]./255);
ylim([-0.1,0.1]);
ylabel('Effective charge density (mol\cdotm^{-3})');
yticks([-0.1 -0.05 0 0.05 0.1]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+Na_2SO_4) (%)');
xticks([0 20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + Na_2SO_4');
hold off;

%NaCl+MgCl2
Ratio=[20 40 60 80];
eps_avg_min=[33.60900745	32.52982042	33.69456863	33.44153705];
eps_conf_min=[0.766607112	0.559429664	0.552369293	0.530555948];
Xd_avg_min=[0.092876984	-0.046091234	-0.144132787	-0.303428747];
Xd_conf_min=[0.034257296	0.008861126	0.008293983	0.013771412];
eps_avg_max=[30.62130248	30.87695642	30.9344682];
eps_conf_max=[0.618195207	0.627284658	0.442944576];
Xd_avg_max=[0.013210309	-0.043796643	-0.158324135];
Xd_conf_max=[0.014860272	0.009805541	0.006475956];

R_Mod=[0 100];
eps_Mod_min=-0.33117/100*(100-R_Mod)+33.48432;
Xd_Mod_min=0.64348/100*(100-R_Mod)-0.42193;
eps_Mod_max=-0.78291/100*(100-R_Mod)+31.12407;
Xd_Mod_max=0.42884/100*(100-R_Mod)-0.2345;

f=figure;
hold on;
box on;
yyaxis left
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,eps_avg_min,eps_conf_min,eps_conf_min,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(R_Mod,eps_Mod_min,'-','linewidth',1.5,'Color',[96,58,232]./255);
errorbar([40 60 80],eps_avg_max,eps_conf_max,eps_conf_max,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(R_Mod,eps_Mod_max,'--','linewidth',1.5,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([20,40]);
ylabel('Effective dielectric constant (-)');
yticks([20 25 30 35 40]);
yyaxis right
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,Xd_avg_min,Xd_conf_min,Xd_conf_min,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(R_Mod,Xd_Mod_min,'-','linewidth',1.5,'Color',[230,68,62]./255);
errorbar([40 60 80],Xd_avg_max,Xd_conf_max,Xd_conf_max,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(R_Mod,Xd_Mod_max,'--','linewidth',1.5,'Color',[230,68,62]./255);
ylim([-0.5,0.5]);
ylabel('Effective charge density (mol\cdotm^{-3})');
yticks([-0.5 -0.25 0 0.25 0.5]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+MgCl_2) (%)');
xticks([0 20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + MgCl_2');
hold off;


%%PAHPAA 7BL
%NaCl+Na2SO4
Ratio=[20 40 60 80];
eps_avg=[27.37117794	28.77856566	28.77765462	29.55662387];
eps_conf=[0.208404479	0.193060935	0.195665684	0.227658932];
Xd_avg=[0.008975213	0.046306869	0.064737158	0.111741881];
Xd_conf=[0.001543212	0.00225784	0.004716166	0.010006384];

R_Mod=[0 100];
eps_Mod=-3.27771/100*(100-R_Mod)+30.25986;
Xd_Mod=-0.16337/100*(100-R_Mod)+0.13962;

f=figure;
hold on;
box on;
yyaxis left
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,eps_avg,eps_conf,eps_conf,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(R_Mod,eps_Mod,'--','linewidth',1.5,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([25,35]);
ylabel('Effective dielectric constant (-)');
yticks([25 30 35]);
yyaxis right
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,Xd_avg,Xd_conf,Xd_conf,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(R_Mod,Xd_Mod,'--','linewidth',1.5,'Color',[230,68,62]./255);
ylim([-0.5,0.5]);
ylabel('Effective charge density (mol\cdotm^{-3})');
yticks([-0.5 -0.25 0 0.25 0.5]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+Na_2SO_4) (%)');
xticks([0 20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + Na_2SO_4');
hold off;

%NaCl+MgCl2
Ratio=[20 40 60 80];
eps_avg=[26.18682063	26.92996872	28.28104283	28.57099317];
eps_conf=[0.139917431	0.158082913	0.167312361	0.247255585];
Xd_avg=[-0.034911177	-0.075819244	-0.126430196	-0.162734811];
Xd_conf=[0.001031526	0.002906954	0.004965581	0.02168542];

R_Mod=[0 100];
eps_Mod=-4.2518/100*(100-R_Mod)+29.6181;
Xd_Mod=0.21704/100*(100-R_Mod)-0.20849;

f=figure;
hold on;
box on;
yyaxis left
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,eps_avg,eps_conf,eps_conf,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(R_Mod,eps_Mod,'--','linewidth',1.5,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([25,35]);
ylabel('Effective dielectric constant (-)');
yticks([25 30 35]);
yyaxis right
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,Xd_avg,Xd_conf,Xd_conf,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(R_Mod,Xd_Mod,'--','linewidth',1.5,'Color',[230,68,62]./255);
ylim([-0.5,0.5]);
ylabel('Effective charge density (mol\cdotm^{-3})');
yticks([-0.5 -0.25 0 0.25 0.5]);
xlim([0,100]);
xlabel('Molar Ratio NaCl/(NaCl+MgCl_2) (%)');
xticks([0 20 40 60 80 100]);
pbaspect([1 1 1])
title('NaCl + MgCl_2');
hold off;

%NaSO4+MgSO4 PAH/PAA 9
Ratio=[20 40 60];
eps_avg=[35.42336419	36.74115744	37.3991162];
eps_conf=[0.281663131	0.546076339	0.651203166];
Xd_avg=[-0.088142326	-0.307868813	-0.50512829];
Xd_conf=[0.005354511	0.057198058	0.107080286];

R_Mod=[0 100];
eps_Mod=-4.93938/100*(100-R_Mod)+39.48484;
Xd_Mod=1.04246/100*(100-R_Mod)-0.92586;

f=figure;
hold on;
box on;
yyaxis left
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,eps_avg,eps_conf,eps_conf,'.','MarkerSize',15,'Color',[96,58,232]./255);
plot(R_Mod,eps_Mod,'--','linewidth',1.5,'Color',[96,58,232]./255);
set(gca,'FontSize',15)
ylim([30,40]);
ylabel('Effective dielectric constant (-)');
yticks([30 35 40]);
yyaxis right
set(gca,'ycolor',[0,0,0]./255); 
errorbar(Ratio,Xd_avg,Xd_conf,Xd_conf,'.','MarkerSize',15,'Color',[230,68,62]./255);
plot(R_Mod,Xd_Mod,'--','linewidth',1.5,'Color',[230,68,62]./255);
ylim([-1,1]);
ylabel('Effective charge density (mol\cdotm^{-3})');
yticks([-1 -0.5 0 0.5 1]);
xlim([0,100]);
xlabel('Molar Ratio Na_2SO_4/(Na_2SO_4+MgSO_4) (%)');
xticks([0 20 40 60 80 100]);
pbaspect([1 1 1])
title('Na_2SO_4 + MgSO_4');
hold off;
